import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/data_display/text.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class ConfirmExitPageDialog extends StatelessWidget {
  final GestureTapCallback onTapYes;
  final GestureTapCallback onTapNo;

  const ConfirmExitPageDialog({Key key, this.onTapYes, this.onTapNo})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SimpleDialog(
      contentPadding: EdgeInsets.fromLTRB(28.0, 24.0, 28.0, 0.0),
      title: Center(
        child: Texts(
          TranslationBase.of(context).confirm,
          color: Colors.black,
        ),
      ),
      children: [
        Column(
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            Texts(
              "Are you sure you want to exit this page ?",
              color: Colors.grey,
            ),
            SizedBox(
              height: 5,
            ),
            Divider(),
            SizedBox(
              height: 5.0,
            ),
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: [
                InkWell(
                  onTap: () {
                    onTapNo();
                  },
                  child: Container(
                    child: Center(
                      child: Texts(
                        TranslationBase.of(context).no,
                        color: Colors.red,
                      ),
                    ),
                  ),
                ),

                InkWell(
                  onTap: () {
                    Navigator.pop(context);
                    onTapYes();
                  },
                  child: Container(
                    child: Center(
                      child: Texts(TranslationBase.of(context).yes),
                    ),
                  ),
                ),
              ],
            ),
            SizedBox(
              height: 20.0,
            ),
          ],
        )
      ],
    );
  }
}
